Subject: M3UA-10, SUA-09: Affected Point Code

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 30 Dec 2001 03:35:33 -0600

In both M3UA-10 and SUA-09, the Affected Point Code parameter is
restricted to containing 16 affected point codes, whereas, the
Routing Context parameter in the same SSNM messages has no
restriction on the number of Routing Contexts that are contained in
the parameter.

The 16 APC restriction for the Affected Point Code parameter seems
unnecessary.  An implementation should be permitted to include as
many Affected Point Codes in the parameter as it deems fit given
performance considerations outside the scope of the document.

-------------------

M3UA-09: 

> 3.4.1 Destination Unavailable (DUNA)
>
> ...
>
> Affected Point Code: n x 32-bits
> 
>    The Affected Point Code parameter contains up to sixteen Affected 

Change to:
     The Affected Point Code parameter contains a list of Affected

>    Destination Point Code fields, each a three-octet parameter to allow 
>    for 14-, 16- and 24-bit binary formatted SS7 Point Codes.  Affected 
>    Point Codes that are less than 24-bits, are padded on the left to 
>    the 24-bit boundary.  The encoding is shown below for ANSI and ITU 
>    Point Code examples.

> 4.5.3 ASP Auditing

> ...

> Any DUNA or DAVA message in response to a DAUD message MAY contain a 
> list of up to sixteen Affected Point Codes. 

Change to:
  list of Affected Point Code.

-------------------

SUA-09:

> 4.5.3 ASP Auditing

> ...

>  Any DUNA or DAVA message in response to a DAUD message MAY contain a 
>  list of up to sixteen Affected Point Codes.  
    
Change to:
  list of Affected Point Code.

> 3.9.18 Affected Point Code 
>     
>    The Affected Point Code Destinations parameter contains up to 
>    sixteen Affected Point Code fields, each a three-octet parameter to 

Change to:
                                                ... contains a list
     of Affected Point Code fields, ...

>    allow for 14-, 16- and 24-bit binary formatted SS7 Point Codes.  
>    Affected Point Codes that are less than 24-bits are padded on the 
>    left to the 24-bit boundary.   

-----------------

Both M3UA-10 and SUA-09:

>    It is optional to send an Affected Point Code parameter with more 
>    than one Affected PC but it is mandatory to receive it.  All the 

Change to:
     It is OPTIONAL for an implementation to generate an Affected
     Point Code parameter with more than on Affected PC but the
     implementation MUST accept and process an Affected Point Code
     parameter with more than one Affected PC.

-----------------

M3UA-10:

> 3.4.1 Destination Unavailable (DUNA)

> ...

>                                                        ...  All the 
>    Affected PCs included must be within the same Network Appearance 
>    and/or (set of) Routing Context values included in a Routing Context 
>    parameter.  ...

Strike this.  It is not really necessary.  If a signalling point has
the same numeric point code in multiple SS7 networks, there is no
reason why the APC parameter cannot span sets of Routing Contexts.
The definition of NA and RC clearly describe what relationship they
have to point codes an their interpretation.

SUA-09:

> 3.9.18 Affected Point Code 

> ...

>                                                        ...  All the 
>    Affected PCs included MUST be within the same Routing Context.  

There is no need for this "MUST".  Strike this sentence.

SUA-09:

> 3.4.1 Destination Unavailable (DUNA) 
> ...
> 
>    Note 1:    When the SSN is included, the DUNA message corresponds to 
>               the SCCP N-STATE primitive. When SSN is not, the DUNA 
>               message corresponds to the SCCP N-PCSTATE primitive.  The 
>               Affected Point Code can only contain one point code when 
>               SSN is present. 

Remove the last sentence.  There is no reason why DUNA cannot
indicate an N-STATE primitive for multiple APCs at the same time for
a given SSN.

> 3.4.2 Destination Available (DAVA) 
> ...
> 
>    Note 1:    When the SSN is included, the DAVA message corresponds to 
>               the SCCP N-STATE primitive. When SSN is not included, the 
>               DAVA message corresponds to the SCCP N-PCSTATE primitive. 
>               The Affected Point Code can only contain one point code 
>               when SSN is present. 

Remove the last sentence.  There is no reason why DAVA cannot
indicate an N-STATE primitive for multiple APCs at the same time for
a given SSN.

> 3.4.3 Destination State Audit (DAUD) 
> ...
> 
>    Note 1:    If the SSN is present, the DAUD is "soliciting" N-PCSTATE 
>               primitives, otherwise it is "soliciting" N-PCSTATE 
>               primitives.  The Affected Point Code can only contain one 
>               point code when SSN is present. 

Remove the last sentence.  There is no reason why DAUD cannot
audit the N-STATE for multiple APCs at the same time for a given
SSN.

> 3.4.4 Network Congestion (SCON) 
> ...
> 
>    Note 1:    When the SSN is included, the SCON message corresponds to 
>               the SCCP N-STATE primitive. When SSN is not included, the 
>               SCON message corresponds to the SCCP N-PCSTATE primitive. 
>               The Affected Point Code can only contain one point code 
>               when SSN is present. 

Remove the last sentence.  There is no reason why SCON cannot
indicate an N-STATE for multiple APCs at the same time for a given
SSN.

> 3.4.6 Destination Restricted (DRST) 
> ...
> 
>   Note 1:    The Affected Point Code referes to the node to which 
>               become restricted or which has requested coordinated 
>               service outgage.  When SSN is included in the Destination 
>               Address parameter, the DRST message corresponds to the 
>               SCCP N-COORD primitive.  If the SMI parameter is also 
>               included in the message, the DRST message corresponds to 
>               the N-COORD Request and N-COORD Indication primitives, 
>               otherwise, the DRST message corresponse to the N-COORD 
>               Response and N-COORD Confirm primitives. The Affected 
>               Point Code can only contain one point code when SSN is 
>               present. 

Here the last sentence is ok.

SUA-09:

> 3.9.18 Affected Point Code 
> ...

>    Including multiple Affected PCs may be useful when reception of a 
>    management message or a linkset event simultaneously affects the 
>    availability status of a list of destinations at an SG.   
>     
>    Mask: 8-bits 
>     
>    The Mask parameter can be used to identify a contiguous range of 
>    Affected Destination Point Codes, independent of the point code 
>    format.  Identifying a contiguous range of Affected PCs may be 
>    useful when reception of an MTP3 management message or a linkset 
>    event simultaneously affects the availability status of a series of 
>    destinations at an SG.  

First an last sentence in excerpt above is repetitious.

M3UA-10:

> 3.4.1 Destination Unavailable (DUNA)
> ...

>  The Mask field can be used to identify a contiguous range of 
>  Affected Destination Point Codes, independent of the point code 
>  format. ...

The phrase "independent of the point code format" is false.  This is
the last place in the spec where there is a parameter that is
dependent on point code format.  Indicating a cluster in ANSI and
a Region in ITU requires protocol dependent coding of the mask
field.  Reword this to match SUA-09 as:

!  The Mask field can be used to identify a contiguous range of 
!  Affected Destination Point Codes.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]